
import { EventFragment, EventOccurrence } from "@/gql/graphql";
import { getClient } from "@/app/client";
import { EventContainer } from "@/components/events/EventContainer";
import { allEventsQuery } from "@/lib/event";

export default async function Page() {
  const { data, error } = await getClient().query(allEventsQuery, {});
  const events = (data?.events ?? []) as EventFragment[];

  return (
    <main className="site-main" id="main">
      <section className="page-header">
        <h1>Arrangementer</h1>
      </section>
      <EventContainer events={events} />
    </main>
  );
}
